import get from 'lodash/get';
import { resolveContestId } from "../../../utils/election/index.js";
import useContestResults from '../useContestResults';
const useCandidateSummaryResults = function useCandidateSummaryResults(id) {
  const contestId = resolveContestId(id);
  const results = useContestResults(contestId);
  return get(results, `candidateResults.${id}`);
};
export default useCandidateSummaryResults;